.r3a.sheet {
  .sheet-navigation {
    flex: 0 0 $navHeight;
    margin-bottom: .5rem;
    font-size: 15px;
    font-weight: 700;
    gap: 1.5rem;
    justify-content: flex-start;

    .tab-item {
      height: $navHeight;
      font-size: 17px;
      text-transform: uppercase;
      letter-spacing: -.8px;
      line-height: 32px;
      border-bottom: 3px solid $colorBeige;

      &:first-letter {
        font-size: 22px;
      }

      &.active {
        border-bottom: 3px solid $colorCrimson;
      }
    }
  }

  .sheet-header {
    display: grid;
    grid-template-columns: 75px 1fr min-content;
    column-gap: .5rem;
    margin-bottom: .5rem;

    input[type="text"], input[type="number"] {
      background: none;
      border: 1px solid transparent;
    }

    img {
      border: none;
      height: auto;
      margin: 0;

      &.profile {
        aspect-ratio: 1;
        object-fit: contain;
      }
    }


    input.sheet-name {
      padding: 0;
      margin: 0;
      height: auto;
      font-size: 1.6rem;
    }

  }

  .sheet-body {
    flex: 1;
    overflow: hidden;
  }


  .summary {
    --summary-min-column: 140px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--summary-min-column), 1fr));
    border-top: $borderGroove;

    input[type="text"], input[type="number"] {
      background: none;
      border: 1px solid transparent;
    }

    select {
      border: 0;
      width: 100%;
      height: 100%;
      background: transparent;
      text-align: end;
    }

    div {
      display: flex;
      justify-content: space-between;
      align-items: center;
      border-bottom: $borderGroove;

      span + input, label + input {
        text-align: end;
      }

      span, label {
        align-self: stretch;
        white-space: nowrap;
        padding: .4rem;
        font-weight: 600;
        background: rgba(0, 0, 0, 0.2);
      }
    }
  }

  .stat_header {
    display: flex;
    background-color: var(--color-border-dark);
    color: var(--color-text-light-0);
    align-items: center;

    h4 {
      margin: 0;
      padding: 0 .4rem;
      text-transform: uppercase;
      flex-grow: 1;
      white-space: nowrap;
    }

    input {
      background-color: var(--color-text-light-0);
      border: 1px solid var(--color-border-dark);
      width: 30px;
      text-align: center;
      border-radius: 0;
    }

    label {
      padding: 0 .5rem;
      font-weight: 600;
      text-transform: uppercase;
    }
  }

  .character_stats {
    display: flex;
    flex-wrap: wrap;
    gap: .5%;
    justify-content: space-between;

    &_col {
      display: flex;
      flex-direction: column;
      flex: 0 0 32%;
      gap: 1.5rem;
      //justify-content: space-between;
    }
  }

  .character_attribute {
    input {
      width: 30px;
      text-align: center;
      border-radius: 0;
      align-self: stretch;
      height: auto;
    }

    .skill {
      display: flex;
      gap: .5rem;
      align-items: center;

      &_data {
        padding: 4px 0;
        flex-grow: 1;
      }

      &_name {
        display: flex;
        align-items: center;
        justify-content: space-between;
      }

      &_description {
        flex-grow: 1;
        margin-left: .2rem;
        background: none;
        border-bottom: 1px solid var(--color-border-dark) !important;
        text-align: left;

      }
      &_specializations {
        margin-left: .3rem;
      }

      &_specialization:hover {
        button.remove_specialization {
          opacity: 1;
        }
      }

      &.specialization:hover {
        .specialization {
          opacity: 1;
          margin-left: .2rem;
        }
      }
      button.specialization, button.remove_specialization {
        transition: opacity 300ms ease-in-out;
        border: none;
        width: auto;
        padding: 0;
        line-height: 1;
        opacity: 0;
      }

      &.disabled {
        color: var(--color-text-dark-6);
        font-style: italic;

        .rollable {
          cursor: not-allowed;
          text-shadow: none;

        }

      }

      &.disadvantage {
        .rollable:after {
          content: "*"
        }
      }

      input {
        border: none;
      }
    }
  }


  .derived_stats {
    border-width: 1px 0;
    padding: 1rem 0;
    display: flex;
    gap: .5rem;

    .derived_stat {
      &.bd input {
        width: 40px;
      }

      gap: 0;
      border: 1px solid var(--color-border-dark);
      width: 100%;

      &_values {
        align-self: stretch;
        background-color: var(--color-text-light-0);
        display: flex;
        align-items: center;

        input {
          border: none;
        }

        .sep {
          flex: none;
          margin: 0 1px;
          display: inline;
          color: var(--color-text-dark-primary);
        }
      }

    }
  }

  .stress {
    &-buttons {
      display: flex;
    }
    &-disorder {
      margin-top: .5rem;

      h3 {
        display: flex;
        justify-content: space-between;
        align-items: center;
      }
    }

    &-level {
      font-size: .9rem;
    }
    .burned {
      background-color: red;
    }

  }

  .tab.active {
    .derived_stats {
      padding: 0 0 .5rem
    }
    &.traits {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 1.5rem;

      .traits {
        .trait {
          display: flex;
          align-items: center;
          gap: .3rem;

          .trait {
            &-name {
            }

            &-cost {
              flex-grow: 1;
            }

          }
        }
      }
    }
  }

  .inventory {
    &-section {
      display: flex;
      align-items: center;
      background: rgba(0, 0, 0, 0.05);
      border: $borderGroove !important;
      font-weight: bold;
      font-size: .8rem;

      .item-name {
        text-transform: uppercase;
        color: #7a7971 !important;
        display: inline !important;

        &:first-letter {
          font-size: 1.2rem;
        }
      }
    }

    &-row {
      display: flex;
      border-bottom: 1px solid #c9c7b8;
      padding: .3rem .5rem;
      color: #7a7971;

      .item {
        &-name {
          flex-grow: 1;
          margin: 0;
          border: none;
          color: #191813;
          display: flex;
          align-items: center;
          gap: .4rem;
          line-height: 1;

          .inventory-roll, .burst-roll {
            svg {
              width: 20px;
              aspect-ratio: 1;
            }

            opacity: .5;
            transition: opacity 200ms ease-in-out;

            &:hover {
              opacity: 1;
            }
          }
        }

        &-detail {
          flex-basis: 65px;
          text-align: center;
          border-right: 1px solid #c9c7b8;
        }

        &-damage {
          @extend .rollable;
        }

        &-controls {
          flex-basis: 80px;
          display: flex;
          justify-content: space-evenly;


          a {
            text-align: center;
          }
        }

        &-toggle {
          &.active {
            color: #4b4a44;
          }
        }
      }
    }
  }

  &.actor {
    .sheet-header {
      img {
        grid-row: span 2;
      }



      .summary {
        grid-column: span 2;
        display: flex;

        .actor-motivation {
          flex-grow: 1;
        }
        .actor-motivation-points {
          text-align: end;
          width: 50px;
          input {
            padding: 0;
          }
        }
      }
    }

    .personal-data {
      grid-template-columns: repeat(4, 1fr);

      .actor-physical-traits, .actor-psychological-traits {
        grid-column: span 4;
        textarea {
          border: none;
          font-family: var(--font-primary);
        }
      }
    }

    &.character {
      .actor-px {
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: center;
        text-align: right;
        border-left: $borderGroove;
        margin-block: .3rem;
        padding-left: .8rem;

        input {
          padding: 0;
          height: auto;
        }

        h3 {
          margin: 0;
          padding: 0;
          letter-spacing: -.8px;
          line-height: 1;
          border: none;
          color: $colorDarkBeige;
          font-size: .8rem;

          &:first-letter {
            font-size: 1rem;
          }
        }
      }
    }
  }

  &.item {
    .stat_header {
      display: inline-flex;
    }

    .sheet-header {

      svg.weapon-type {
        width: 35px;
        aspect-ratio: 1;
        fill: #989895;
      }

      .summary {
        grid-column: span 3;
      }
    }

    .protection, .spell, .psychic {
      .summary {
        grid-template-columns: 1fr 1fr;
      }
    }

    .psychic {
      .item-time {
        grid-column: span 2;
      }
    }

    .weapon {
      .item-burst-damage {
        grid-column: span 1;
      }

      &.melee, &.hands {
        .item-dpa, .item-ammunition, .item-range, .item-burst-damage, .item-burst-targets {
          display: none;
        }

        .item-type {
          order: 2
        }
      }

      &.distance {
        .item-ammunition {
          display: none;
        }
      }

      &.handgun, &.shotgun, &.distance {
        .item-burst-damage, .item-burst-targets {
          display: none;
          grid-column: span 2;
        }
      }
    }
  }
}
